Debian Bug report logs - #643635
metapixel: Please Build-Depends on libjpeg-dev, not libjpeg62-dev

version graph

Package: src:metapixel; Maintainer for src:metapixel is Chris Vanden Berghe <chrisvdb@debian.org>;

Reported by: Bill Allombert <ballombe@debian.org>

Date: Wed, 28 Sep 2011 09:30:01 UTC

Severity: serious

Tags: patch

Found in version metapixel/1.0.2-7

Fixed in version metapixel/1.0.2-7.1

Done: Didier Raboud <odyx@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Chris Vanden Berghe <chrisvdb@debian.org>:
Bug#643635; Package src:metapixel. (Wed, 28 Sep 2011 09:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <ballombe@debian.org>:
New Bug report received and forwarded. Copy sent to Chris Vanden Berghe <chrisvdb@debian.org>. (Wed, 28 Sep 2011 09:30:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bill Allombert <ballombe@debian.org>
To: submit@bugs.debian.org
Subject: metapixel: Please Build-Depends on libjpeg-dev, not libjpeg62-dev
Date: Wed, 28 Sep 2011 11:27:15 +0200
Source: metapixel
Version: 1.0.2-7
Severity: important

Hello Chris,

We are transitionning from libjpeg62 to libjpeg8.
As mentionned on debian-devel-announce[1], please update metapixel to
Build-Depends on libjpeg-dev instead of libjpeg62-dev.

The following Build-Depends was found:

metapixel 	:Build-Depends: libjpeg62-dev | libjpeg-dev libjpeg62-dev | libjpeg-dev

Please change it to
Build-Depends: libjpeg-dev
so it is build against the latest jpeg version.

[1] http://lists.debian.org/debian-devel-announce/2010/02/msg00006.html

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Information forwarded to debian-bugs-dist@lists.debian.org, Chris Vanden Berghe <chrisvdb@debian.org>:
Bug#643635; Package src:metapixel. (Thu, 10 Nov 2011 12:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to Chris Vanden Berghe <chrisvdb@debian.org>. (Thu, 10 Nov 2011 12:57:08 GMT) Full text and rfc822 format available.

Message #10 received at 643635@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: Bill Allombert <ballombe@debian.org>, 643635@bugs.debian.org
Subject: Re: Bug#643635: metapixel: Please Build-Depends on libjpeg-dev, not libjpeg62-dev
Date: Thu, 10 Nov 2011 13:54:53 +0100
[Message part 1 (text/plain, inline)]
severity 643635 serious
thanks

Le mercredi, 28 septembre 2011 11.27:15, Bill Allombert a écrit :
> We are transitionning from libjpeg62 to libjpeg8.
> As mentionned on debian-devel-announce[1], please update metapixel to
> Build-Depends on libjpeg-dev instead of libjpeg62-dev.

As was done for other libjpeg-related bureports, I'm rising the severity of 
this bug to serious.

For what is worth, I recompiled metapixel with the above recommended change 
and it built just fine.

Cheers,
-- 
OdyX
[signature.asc (application/pgp-signature, inline)]

Severity set to 'serious' from 'important' Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Thu, 10 Nov 2011 12:57:25 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Chris Vanden Berghe <chrisvdb@debian.org>:
Bug#643635; Package src:metapixel. (Mon, 21 Nov 2011 12:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to Chris Vanden Berghe <chrisvdb@debian.org>. (Mon, 21 Nov 2011 12:39:08 GMT) Full text and rfc822 format available.

Message #17 received at 643635@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: 643635@bugs.debian.org
Subject: metapixel: diff for NMU version 1.0.2-7.1
Date: Mon, 21 Nov 2011 13:35:59 +0100
[Message part 1 (text/plain, inline)]
tags 643635 + patch
thanks

Dear maintainer,

I've prepared an NMU for metapixel (versioned as 1.0.2-7.1). The diff
is attached to this message.

Regards.
[metapixel-1.0.2-7.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Mon, 21 Nov 2011 12:39:33 GMT) Full text and rfc822 format available.

Reply sent to Didier Raboud <odyx@debian.org>:
You have taken responsibility. (Mon, 21 Nov 2011 12:51:14 GMT) Full text and rfc822 format available.

Notification sent to Bill Allombert <ballombe@debian.org>:
Bug acknowledged by developer. (Mon, 21 Nov 2011 12:51:18 GMT) Full text and rfc822 format available.

Message #24 received at 643635-close@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: 643635-close@bugs.debian.org
Subject: Bug#643635: fixed in metapixel 1.0.2-7.1
Date: Mon, 21 Nov 2011 12:49:28 +0000
Source: metapixel
Source-Version: 1.0.2-7.1

We believe that the bug you reported is fixed in the latest version of
metapixel, which is due to be installed in the Debian FTP archive:

metapixel_1.0.2-7.1.diff.gz
  to main/m/metapixel/metapixel_1.0.2-7.1.diff.gz
metapixel_1.0.2-7.1.dsc
  to main/m/metapixel/metapixel_1.0.2-7.1.dsc
metapixel_1.0.2-7.1_amd64.deb
  to main/m/metapixel/metapixel_1.0.2-7.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 643635@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Didier Raboud <odyx@debian.org> (supplier of updated metapixel package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 21 Nov 2011 10:44:46 +0100
Source: metapixel
Binary: metapixel
Architecture: source amd64
Version: 1.0.2-7.1
Distribution: unstable
Urgency: low
Maintainer: Chris Vanden Berghe <chrisvdb@debian.org>
Changed-By: Didier Raboud <odyx@debian.org>
Description: 
 metapixel  - generator for photomosaics
Closes: 643635
Changes: 
 metapixel (1.0.2-7.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Build-Depends on libjpeg-dev, not libjpeg62-dev (Closes: #643635)
Checksums-Sha1: 
 e97dd101aad6430ed2b0520bee8757969440d879 1570 metapixel_1.0.2-7.1.dsc
 763d0566d3464994d2e1a28856052286a10c9305 15336 metapixel_1.0.2-7.1.diff.gz
 96be4a6052591be108f9dd3ad221d0881c4e542b 55170 metapixel_1.0.2-7.1_amd64.deb
Checksums-Sha256: 
 e9e2092fdde9cddd3076d0408f89004756060a201f3fb01287e19d775be07544 1570 metapixel_1.0.2-7.1.dsc
 2e0ee31f09515ca2a4dfeb83f1809c52d9127ffb92f6f7eea081b7478b74e078 15336 metapixel_1.0.2-7.1.diff.gz
 807617adf3bf9ae9e7def0af08983d938cdf1f104fe0c219ba9c3f9ae6fdb37f 55170 metapixel_1.0.2-7.1_amd64.deb
Files: 
 06236430983349bc177e7fc72baa7578 1570 graphics optional metapixel_1.0.2-7.1.dsc
 0f18b77cc070fac55dd2b8d6c668ce52 15336 graphics optional metapixel_1.0.2-7.1.diff.gz
 64075d37747de51e9484bc09da454527 55170 graphics optional metapixel_1.0.2-7.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQGcBAEBCAAGBQJOykV0AAoJEIvPpx7KFjRVc+sL/A2O1zNTS2up2JO3YZqgppbT
2wOxG7g3hXtQLT8FcNIuR6ij30oD04uISlKidsise2tMJssMCoz9W5NiCV9eQkhC
nMLlosU3PhXElZce399YsSsaOzEvah0oFSsJ+E3uhFfpTlC8fWuPTM6RENEM4Hdw
pNa5A4lzevF25axO4g7S0e6Y35IwmQcOf7afsiyA7DKdBF4zDSAlLIDO2X2pRNhw
rxPMgByvAzY2A/jGGfiN/kethsz/IAVIplNFDUDQedO2a4ht8eZeOkCKyyXn0vj5
ydayCIKVhZqcnTKYAwyBKdX/UuDEwrHs5EDAGT+pjNU34+S1fGTRXu1Ym2640TKV
SRZQRbo0VRzIjyPWHbTK1Q2CENWOkpuSYZZRRKtZSuhTNkBnuCLv/2vXuMJ/wYnF
Br8oCWt9wcfLN1WwCGUUQqN0mgTTkfSYAwZMyGR/pxPH0M3RXWW2NnjUPNMa7tTW
exF8lyHXosZGmYIFr69GFzpBDYXhASaZaAVCBZa1tw==
=/RvQ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 20 Dec 2011 07:40:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 10:56:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.